'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _lodash = require('lodash.camelcase');

var _lodash2 = _interopRequireDefault(_lodash);

var _lodash3 = require('lodash.kebabcase');

var _lodash4 = _interopRequireDefault(_lodash3);

var _lodash5 = require('lodash.snakecase');

var _lodash6 = _interopRequireDefault(_lodash5);

var _lodash7 = require('lodash.upperfirst');

var _lodash8 = _interopRequireDefault(_lodash7);

var _lodash9 = require('lodash.startcase');

var _lodash10 = _interopRequireDefault(_lodash9);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = ensureCase;


function ensureCase() {
	var raw = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
	var target = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'lowercase';

	var input = String(raw);

	switch (target) {
		case 'camel-case':
			return (0, _lodash2.default)(input) === input;
		case 'kebab-case':
			return (0, _lodash4.default)(input) === input;
		case 'snake-case':
			return (0, _lodash6.default)(input) === input;
		case 'pascal-case':
			return (0, _lodash8.default)((0, _lodash2.default)(input)) === input;
		case 'start-case':
			return (0, _lodash10.default)(input) === input;
		case 'upper-case':
		case 'uppercase':
			return input.toUpperCase() === input;
		case 'sentence-case':
		case 'sentencecase':
			{
				var word = input.split(' ')[0];
				return ensureCase(word.charAt(0), 'upper-case') && ensureCase(word.slice(1), 'lower-case');
			}
		case 'lower-case':
		case 'lowercase':
		case 'lowerCase':
			// Backwards compat config-angular v4
			return input.toLowerCase() === input;
		default:
			throw new TypeError(`ensure-case: Unknown target case "${target}"`);
	}
}
module.exports = exports['default'];
//# sourceMappingURL=case.js.map